Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.compendium.internal.cm
Class ManagedServiceInstanceTrackerPostProcessor

    java.lang.Object
      org.eclipse.gemini.blueprint.compendium.internal.cm.ManagedServiceInstanceTrackerPostProcessor

All Implemented Interfaces:
  BundleContextAware, org.springframework.beans.factory.Aware, org.springframework.beans.factory.BeanFactoryAware, org.springframework.beans.factory.config.BeanPostProcessor, org.springframework.beans.factory.config.DestructionAwareBeanPostProcessor, org.springframework.beans.factory.DisposableBean, org.springframework.beans.factory.InitializingBean

    public class ManagedServiceInstanceTrackerPostProcessor

extends Object
implements org.springframework.beans.factory.BeanFactoryAware, BundleContextAware, org.springframework.beans.factory.InitializingBean, org.springframework.beans.factory.config.BeanPostProcessor, org.springframework.beans.factory.config.DestructionAwareBeanPostProcessor, org.springframework.beans.factory.DisposableBean

Post processor tracking the creation and destruction of managed service instances. The instances tracked are subject to Configuration Admin based injection.

Author:
  Costin Leau

Constructor Summary
`ManagedServiceInstanceTrackerPostProcessor(String beanNameToTrack)`

Method Summary
`void` | `afterPropertiesSet()`
`void` | `destroy()`
`Object` | `postProcessAfterInitialization(Object bean, String beanName)`
`void` | `postProcessBeforeDestruction(Object bean, String beanName)`
`Object` | `postProcessBeforeInitialization(Object bean, String beanName)`
`void` | `setAutowireOnUpdate(boolean autowireOnUpdate)` Sets whether autowire on update should be performed automatically or not.
`void` | `setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory)`
`void` | `setBundleContext(org.osgi.framework.BundleContext bundleContext)` Set the `BundleContext` that this bean runs in.
`void` | `setPersistentId(String pid)` Sets the pid for the configuration manager.
`void` | `setUpdateMethod(String methodName)` Sets the method name, for bean-managed update strategy.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManagedServiceInstanceTrackerPostProcessor

    public ManagedServiceInstanceTrackerPostProcessor(String beanNameToTrack)

Method Detail

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws Exception

  Specified by:
    `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
  Throws:
    `Exception`

### destroy

    public void destroy()
                 throws Exception

  Specified by:
    `destroy` in interface `org.springframework.beans.factory.DisposableBean`
  Throws:
    `Exception`

### postProcessBeforeInitialization

    public Object postProcessBeforeInitialization(Object bean,
                                                  String beanName)
                                           throws org.springframework.beans.BeansException

  Specified by:
    `postProcessBeforeInitialization` in interface `org.springframework.beans.factory.config.BeanPostProcessor`
  Throws:
    `org.springframework.beans.BeansException`

### postProcessAfterInitialization

    public Object postProcessAfterInitialization(Object bean,
                                                 String beanName)
                                          throws org.springframework.beans.BeansException

  Specified by:
    `postProcessAfterInitialization` in interface `org.springframework.beans.factory.config.BeanPostProcessor`
  Throws:
    `org.springframework.beans.BeansException`

### postProcessBeforeDestruction

    public void postProcessBeforeDestruction(Object bean,
                                             String beanName)
                                      throws org.springframework.beans.BeansException

  Specified by:
    `postProcessBeforeDestruction` in interface `org.springframework.beans.factory.config.DestructionAwareBeanPostProcessor`
  Throws:
    `org.springframework.beans.BeansException`

### setBundleContext

    public void setBundleContext(org.osgi.framework.BundleContext bundleContext)

  Description copied from interface: `BundleContextAware`
  Set the `BundleContext` that this bean runs in. Normally this can be used to initialize an object.

  Specified by:
    `setBundleContext` in interface `BundleContextAware`
  Parameters:
    `bundleContext` - the `BundleContext` object to be used by this object

### setBeanFactory

    public void setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory)
                        throws org.springframework.beans.BeansException

  Specified by:
    `setBeanFactory` in interface `org.springframework.beans.factory.BeanFactoryAware`
  Throws:
    `org.springframework.beans.BeansException`

### setPersistentId

    public void setPersistentId(String pid)

  Sets the pid for the configuration manager.

  Parameters:
    `pid` - The pid to set.

### setAutowireOnUpdate

    public void setAutowireOnUpdate(boolean autowireOnUpdate)

  Sets whether autowire on update should be performed automatically or not.

  Parameters:
    `autowireOnUpdate` -

### setUpdateMethod

    public void setUpdateMethod(String methodName)

  Sets the method name, for bean-managed update strategy.

  Parameters:
    `updateMethod` - The updateMethod to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2012. All Rights Reserved.